glance add command - incorrect help text

Bug #997565 reported by Unmesh Gurjar on 2012-05-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Wishlist
Unmesh Gurjar
Essex
Wishlist
Eoghan Glynn
glance (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Branch: master

Scenario: Add an image to glance using the CLI while specifying either of container_format and disk_format (to either ami, aki or ari). For example:

glance add name=cirros-0.3.0-x86_64-uec-kernel is_public=True disk_format=aki < /mnt/images/cirros-0.3.0-x86_64-uec/cirros-0.3.0-x86_64-vmlinuz

The help text for glance add command specifies the container_format and disk_format as 'Required'. However, the command works fine (if the image is in amazon format i.e. ami/aki/ari) even when either of these parameters is not specified.

Related branches

Changed in glance:
assignee: nobody → Unmesh Gurjar (unmesh-gurjar)

Fix proposed to branch: master
Review: https://review.openstack.org/7299

Changed in glance:
status: New → In Progress
Eoghan Glynn (eglynn) wrote :

Yes, only one of disk_format and container_format is require if and only if the value set is an amazon format (i.e. ami, aki or ari).

Originally both were always required, but this was changed in the fix for bug #972014 so that if one was left unset, it was defaulted to the other.

Changed in glance:
importance: Undecided → Wishlist
milestone: none → folsom-1

Reviewed: https://review.openstack.org/7299
Committed: http://github.com/openstack/glance/commit/a857842368a92c241453561b378f8e00f7a92245
Submitter: Jenkins
Branch: master

commit a857842368a92c241453561b378f8e00f7a92245
Author: Unmesh Gurjar <email address hidden>
Date: Thu May 10 16:29:24 2012 +0530

    Fixes bug 997565.

    Modified the help text for 'add' image command.

    Change-Id: I32cbd36a3a4ef6368f9128ac0ab4a8efbd14ff2e

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-05-23
Changed in glance:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/8602
Committed: http://github.com/openstack/glance/commit/ead570f96d10728f9d76b82bfd9c5e249e5a76b9
Submitter: Jenkins
Branch: stable/essex

commit ead570f96d10728f9d76b82bfd9c5e249e5a76b9
Author: Unmesh Gurjar <email address hidden>
Date: Thu May 10 16:29:24 2012 +0530

    Fixes bug 997565.

    Modified the help text for 'add' image command.

    Change-Id: I32cbd36a3a4ef6368f9128ac0ab4a8efbd14ff2e

Dave Walker (davewalker) on 2012-08-24
Changed in glance (Ubuntu):
status: New → Fix Released
Changed in glance (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Glance has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/7299
Stable review: https://review.openstack.org/8602

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2012.1.3+stable~20120821-120fcf-0ubuntu1

---------------
glance (2012.1.3+stable~20120821-120fcf-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1041120)
  * Resynchronzie with stable/essex:
    - Glance add uploads a double image if using ssl and images is smaller
      than 4k. (LP: #1007093)
    - If response.environ is None, instance fails to spawn.
      (LP: #1010560)
    - exception.BadStoreURL exposes sensitive information to end users.
      (LP: #1012268)
    - glance-cache.conf needs metadata encryption key (LP: #1012752)
    - image.upload notification doesn't report size (LP: #1018246)
    - Admins should be able to share image regardless of ownership.
      (LP: #1021054)
    - Glance scrubber date formatting fails with postgres (LP: #1022369)
    - Support zero-size image creation. (LP: #1025353)
    - Image id not contained in swift chunk debug message. (LP: #1028433)
    - qpid_heartbeat setting is ineffective. (LP: #1032314)
    - Image properties that reference image ids are not updated to UUIDs.
      (LP: #975651)
    - Migration 012_id_to_uuid attempts to convert IDs twice for non-sqlite
      databases. (LP: #975655)
    - multiprocess glance-api failed to exit when stopped by ctrl+c.
      (LP: #978130)
    - /usr/bin/glance's built-in pager breaks redirection.
      (LP: #978610)
    - Content-Length and Transfer-Encoding are mutually exclusive HTTP headers
      (LP: #981332)
    - glance add command - incorrect help text (LP: #997565)
  * debian/patches/convert_properties_to_uuid.patch: Dropped no longer
    needed.
  * debian/patches/fix-pep8-ubuntu.patch: Dropped no longer needed.
 -- Adam Gandelman <email address hidden> Fri, 24 Jun 2012 03:14:33 -0400

Changed in glance (Ubuntu Precise):
status: Confirmed → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in glance:
milestone: folsom-1 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers